Bug 974851 - Kickstart auth behavior is not equivalent with authconfig when specifying LDAP [NEEDINFO]
Kickstart auth behavior is not equivalent with authconfig when specifying LDAP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 10:53 EDT by Jos Vos
Modified: 2014-02-05 16:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:50:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (jos)


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2013-06-16 10:53:31 EDT
Description of problem:
When specifying "auth" in a kickstart file, the result is not equivalent with running authconfig on the installed system.  I.e., several LDAP settings are not done.

Version-Release number of selected component (if applicable):
anaconda-18.37.11-1.fc18

How reproducible:
Add this line to the kickstart file:

auth --enablemd5 --enableshadow --enablesssd --enablesssdauth --enableldap --enableldapauth --ldapserver=192.168.1.1 --ldapbasedn=dc=mydomain,dc=com --enablelocauthorize --enablesysnetauth --updateall

And also run the "authconfig" command with the same parameters on the installed system.

The results of this command are:
-  In nsswitch.conf "ldap" was added to the passwd/shadow/group/netgroup lines.
-  A line for "pam_ldap.so" line is added to several files in /etc/pam.d.

Furthermore, in /etc/openldap/ldap.conf anaconda writes:
SASL_NOCANON    onURI ldap://192.168.1.1/
(on one line, concatenated, so a newline is missing here!)

And, the most important:
LDAP authentication does NOT work (against OpenLDAP on RHEL6) before running authconfig manually, but it does work after.
Comment 1 Chris Lumens 2013-06-19 11:13:52 EDT
Please attach /tmp/program.log from your installation (or, /var/log/anaconda/program.log post-install) to this bug report.  Thanks.
Comment 2 Fedora End Of Life 2013-12-21 09:01:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:50:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.